pages:
  image: python:3.7
  script:
    # Install apt-get packages
    - apt-get update -q -y
    - apt-get install -y python3-pip
    - apt-get install -y pandoc
    - apt-get install -y cmake
    # Install pip packages
    - pip install -r docs/requirements.txt
    # Compile documentation
    - cd docs
    - make html
    - cd ../
    # Move documentation to public folder
    - mkdir .public
    - cp -r docs/_build/* .public
    - mv .public public
  artifacts:
    paths:
      - public
  only:
    - master
